LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Exported Interfaces | List of all members
TextSections Service Referencepublished

provides access to the text sections in a text document. More...

`import"TextSections.idl";`

Inheritance diagram for TextSections:

## Exported Interfaces
interface | com::sun::star::container::XIndexAccess
interface | com::sun::star::container::XNameAccess

## Additional Inherited Members
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)

## Detailed Description

provides access to the text sections in a text document.

## Exported Interfaces

interface com::sun::star::container::XIndexAccess

interface com::sun::star::container::XNameAccess

The documentation for this service was generated from the following file:

- com/sun/star/text/TextSections.idl